=== debian/changelog ===
linkchecker (1.6.4-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Tue, 15 Oct 2002 03:08:00 +0200

linkchecker (1.6.3-1) unstable; urgency=low

  * New upstream relese.

 -- Bastian Kleineidam <calvin@debian.org>  Mon, 23 Sep 2002 16:48:24 +0200

linkchecker (1.6.2-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Wed, 11 Sep 2002 20:25:34 +0200

linkchecker (1.6.1-1) unstable; urgency=low

  * New upstream release, and made this a non-native debian package.
  * Standards version 3.5.7.0, no changes
  * Depend on Python version 2.1 (Closes: #159069)

 -- Bastian Kleineidam <calvin@debian.org>  Tue, 27 Aug 2002 00:10:20 +0200

linkchecker (1.6.0) unstable; urgency=low

  * linkchecker.1: updated manpage
  * linkcheck/UrlData.py: enable parsing of <meta http-equiv=refresh>
    links again

 -- Bastian Kleineidam <calvin@debian.org>  Fri,  2 Aug 2002 10:57:54 +0200

linkchecker (1.5.7) unstable; urgency=low

  * linkcheck/log/: add forgotten linkcheck. to StringUtil calls

 -- Bastian Kleineidam <calvin@debian.org>  Tue, 25 Jun 2002 17:29:19 +0200

linkchecker (1.5.6) unstable; urgency=low

  * linkcheck/HttpUrlData.py: support for Content-Encoding: gzip
  * linkcheck/DNS: remove included files, depend on external PyDNS
    library

 -- Bastian Kleineidam <calvin@debian.org>  Mon, 24 Jun 2002 14:39:56 +0200

linkchecker (1.5.5) unstable; urgency=low

  * linkcheck/linkname.py: fix linkname regular expressions (from 1.4.9)
  * linkcheck/UrlData.py: (from 1.4.9)
    - do not allow linebreaks in quoted link attributes
    - fix name matching (reported by Jerry Nieuviarts <jerry@clubic.com>)
    - dont use re.DOTALL, the new linkmatcher does not need it
  * linkchecker: documentation typos
  * linkcheck/__init__.py: use getLinkPat function for all config
    entries, not just commandline

 -- Bastian Kleineidam <calvin@debian.org>  Fri,  7 Jun 2002 22:40:10 +0200

linkchecker (1.5.4) unstable; urgency=low

  * linkcheck/log/__init__.py: use ISO 8601 conform timestamps
  * linkcheck/lc_cgi.py: added Nederlands (dutch) to supported languages

 -- Bastian Kleineidam <calvin@debian.org>  Sat,  1 Jun 2002 11:11:58 +0200

linkchecker (1.5.3) unstable; urgency=low

  * linkcheck/DNS/Base.py: import Error exception (from 1.4.7)

 -- Bastian Kleineidam <calvin@debian.org>  Fri, 24 May 2002 19:02:48 +0200

linkchecker (1.5.2) unstable; urgency=low

  * add missing import for the log package

 -- Bastian Kleineidam <calvin@debian.org>  Wed, 15 May 2002 19:13:36 +0200

linkchecker (1.5.1) unstable; urgency=low

  * debian/control: remove python-ssl from suggests
  * linkcheck/UrlData.py: remove non-greedy *? from linkmatcher to avoid
    the maximum recursion limit error (from 1.4.6)
  * linkcheck/HttpUrlData.py: replace empty paths with a slash; adjust
    warning message (from 1.4.6)
  * updated translations
  * new package linkcheck.log to facilitate generation of new loggers

 -- Bastian Kleineidam <calvin@debian.org>  Wed, 15 May 2002 01:18:15 +0200

linkchecker (1.5.0) unstable; urgency=low

  * More syntax checking for host:port network locations (from 1.4.4)
  * NntpUrlData.py: prevent endless loops with busy NNTP servers sending
    504 or 505 error status. (from 1.4.5)
  * Cookie support
  * Python API for custom loggers
  * Move TestLogger into test_support
  * negation for extern/intern regular expressions

 -- Bastian Kleineidam <calvin@debian.org>  Sun,  5 May 2002 23:08:37 +0200

linkchecker (1.4.3) unstable; urgency=low

  * UrlData.py: also catch Timeout and other exception on retrieving
    recursive content

 -- Bastian Kleineidam <calvin@debian.org>  Mon, 29 Apr 2002 20:22:04 +0200

linkchecker (1.4.2) unstable; urgency=low

  * move DNS package into linkchecker to prevent clash with the original
    Python DNS module (Closes: #143737).
  * Updated german translation.
  * Adjust the internal error message slightly to ask for commandline
    parameters.
  * linkcheck/UrlData.py: modify the linkmatcher pattern to prevent a
    RuntimeError: maximum recursion limit exceeded.
  * Updated the test suite.

 -- Bastian Kleineidam <calvin@debian.org>  Sat, 27 Apr 2002 14:58:29 +0200

linkchecker (1.4.1) unstable; urgency=low

  * Catch socket.sslerror for HTTPS connections.
  * Pregenerate directory structure for .mo files, make dist will fail
    if they are not there.
  * Fix DNS configuration in some Windows platforms (untested, no
    platform available for me).

 -- Bastian Kleineidam <calvin@debian.org>  Wed, 20 Mar 2002 23:59:30 +0100

linkchecker (1.4.0) unstable; urgency=low

  * linkcheck/linkname.py: workaround for a bug regex matching with
    re.DOTALL. This could lead to missing linknames, but we can parse
    big files (>200 links) again.
  * linkcheck/linkname.py: immediately return on <img> tags inside <a>.
  * linkchecker: interpolate %s in help text with -o output list
  * MANIFEST.in: include .mo files in the release
  * linkcheck/FileUrlData.py: support for URLs included in text files
  * Added Dutch translation from Hans Brausewein
    <hans.bausewein@comerwell.xs4all.nl>.
  * added ipv6 DNS patch from
    http://sourceforge.net/tracker/index.php?func=detail&aid=512054&grou
    p_id=31674&atid=403047

 -- Bastian Kleineidam <calvin@debian.org>  Fri, 15 Mar 2002 01:39:22 +0100

linkchecker (1.3.22) unstable; urgency=low

  * last release before 1.4.0
  * CGI scripts don't raise Exception when called with missing form
    parameters.
  * The CGI form checking function checks also the language parameter.
  * Updated documentation.
  * Don't bail out if /etc/resolv.conf could not be found on DNS init.
  * corrected installation of locale files
  * install linkchecker.1 in share/man/man1, not man/man1
  * Add support for multiple init_gettext calls, this is needed by CGI
    scripts

 -- Bastian Kleineidam <calvin@debian.org>  Sat, 23 Feb 2002 21:35:52 +0100


