=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.
PACKAGE=linkchecker
ROOT=$(CURDIR)/debian/$(PACKAGE)
DOCDIR = $(ROOT)/usr/share/doc/$(PACKAGE)
PYTHON=python2.2

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

# This has to be exported to make some magic below work.
export DH_OPTIONS

configure: configure-stamp
configure-stamp:
	dh_testdir
	$(PYTHON) setup.py config
	touch configure-stamp


build: configure-stamp build-stamp
build-stamp:
	dh_testdir
	$(PYTHON) setup.py build
	touch build-stamp

clean:
	dh_testdir
	rm -f build-stamp configure-stamp
	$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_clean -k
	dh_installdirs
	$(MAKE) locale
	$(PYTHON) setup.py install --root=$(ROOT) --no-compile
	# remove example files, we install them below
	rm -r $(ROOT)/usr/share/linkchecker/examples
	# install additional doc files
	install -c -m 644 test/*.py $(DOCDIR)/test
	install -c -m 644 test/html/*.html $(DOCDIR)/test/html
	install -c -m 644 test/output/test_* $(DOCDIR)/test/output
	# install CGI files
	install -c -m 644 lconline/*.html $(DOCDIR)/lconline
	cat lc.cgi | sed 's#/usr/bin/python#/usr/bin/$(PYTHON)#' > $(ROOT)/usr/lib/cgi-bin/lconline/lc.cgi
	# install system wide configuration file in etc
	mv $(ROOT)/usr/share/linkchecker/linkcheckerrc $(ROOT)/etc


# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	#dh_installman linkchecker.1
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
